call set_cmake_vars

for %%B in (Release) DO (
      md build_%%B
      pushd build_%%B

      :: Configure.
      cmake -G "Ninja" ^
            -D BUILD_SHARED_LIBS=ON ^
            -D CMAKE_BUILD_TYPE=%%B ^
            -D CMAKE_PREFIX_PATH=%CMAKE_PREFIX_PATH% ^
            -D CMAKE_MODULE_PATH=%CMAKE_MODULE_PATH% ^
            -D CMAKE_INSTALL_PREFIX:PATH=%LIBRARY_PREFIX% ^
            -D CMAKE_DEBUG_POSTFIX=d ^
            -D PYLEVELDB_COPY_DEPEDENCIES=OFF ^
            %SRC_DIR%
      if errorlevel 1 exit 1

      :: Build.
      cmake --build . --target install --config %%B
      if errorlevel 1 exit 1

      popd
)

:: Move the leveldb.pyd to site package
move %LIBRARY_BIN%\leveldb.pyd %SP_DIR%